> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List chats

> Returns info about the chats a customer participated in.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/list_chats
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/list_chats:
    post:
      tags:
        - Chats
      summary: List chats
      description: Returns info about the chats a customer participated in.
      operationId: list-chats
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListChatsRequest'
            example: {}
      responses:
        '200':
          description: Chat info.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListChatsResponse'
              example:
                next_page_id: MTUxNzM5ODEzMTQ5Ng==
                total_chats: 1
                chats_info:
                  - id: PJ0MRSHTDG
                    last_thread_id: K600PKZON8
                    last_thread_created_at: '2026-06-08T08:22:21.128420Z'
                    last_event_per_type:
                      message:
                        thread_id: K600PKZON9
                        thread_created_at: '2026-06-07T07:11:28.288340Z'
                        event:
                          id: Q298LUVPRH_1
                          created_at: '2026-06-09T12:01:18.909000Z'
                          type: message
                          text: hello world
                          author_id: b7eff798-f8df-4364-8059-649c35c9ed0c
                    users:
                      - id: b7eff798-f8df-4364-8059-649c35c9ed0c
                        type: customer
                        present: true
                      - id: b5657aff34dd32e198160d54666df9d8
                        name: Agent Smith
                        type: agent
                        present: true
                        avatar: https://example.com/avatar.png
                        job_title: Support Agent
                    access:
                      group_ids:
                        - 0
                    properties: {}
                    active: true
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    ListChatsRequest:
      type: object
      properties:
        limit:
          type: integer
          default: 10
          maximum: 25
          description: Maximum number of records per page.
        sort_order:
          type: string
          enum:
            - asc
            - desc
          default: desc
          description: >-
            Sort order. Chat summaries are sorted by the creation date of the
            last thread.
        page_id:
          type: string
          description: The pagination token.
    ListChatsResponse:
      type: object
      properties:
        total_chats:
          type: integer
          description: >-
            Estimated total number of chats. The real number can slightly
            differ.
        next_page_id:
          type: string
          description: The pagination token for the next page.
        previous_page_id:
          type: string
          description: The pagination token for the previous page.
        chats_info:
          type: array
          items:
            $ref: '#/components/schemas/ChatSummary'
          description: >-
            Array of [chat info
            objects](/api/customer-chat/v3.7/data-structures#chat-info).
    ChatSummary:
      type: object
      description: >-
        [Chat summary
        object](/api/customer-chat/v3.7/data-structures#chat-info).
      properties:
        id:
          type: string
          description: The chat ID.
        last_thread_id:
          type: string
          description: ID of the last thread.
        last_thread_created_at:
          type: string
          description: Creation date of the last thread.
        last_event_per_type:
          type: object
          description: Map of the last event per event type.
          additionalProperties: true
        users:
          type: array
          items:
            type: object
            additionalProperties: true
          description: The chat users.
        access:
          $ref: '#/components/schemas/Access'
        properties:
          $ref: '#/components/schemas/Properties'
        active:
          type: boolean
          description: 'If `true`: the chat is active.'
    Access:
      type: object
      properties:
        group_ids:
          type: array
          items:
            type: integer
          description: The group IDs. `0` means all agents can see it.
    Properties:
      type: object
      additionalProperties: true
      description: Properties object.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````